aboutsummaryrefslogtreecommitdiffstats
path: root/test/afb-test/fixtures/removePlatforInfoDirectory.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/afb-test/fixtures/removePlatforInfoDirectory.sh')
-rwxr-xr-xtest/afb-test/fixtures/removePlatforInfoDirectory.sh26
1 files changed, 26 insertions, 0 deletions
diff --git a/test/afb-test/fixtures/removePlatforInfoDirectory.sh b/test/afb-test/fixtures/removePlatforInfoDirectory.sh
new file mode 100755
index 0000000..8e87636
--- /dev/null
+++ b/test/afb-test/fixtures/removePlatforInfoDirectory.sh
@@ -0,0 +1,26 @@
+#!/bin/bash
+
+set -e
+
+###########################################################################
+# Copyright 2018 IoT.bzh
+#
+# author:Frédéric Marec <frederic.marec@iot.bzh>
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+###########################################################################
+
+#set SUDO variable
+SUDO=$(command -v sudo)
+
+"${SUDO}" rm -rf "/etc/platform-info"